Get cards
curl --request GET \
--url https://api.dash.fi/v1/public/cards \
--header 'Authorization: <api-key>'import requests
url = "https://api.dash.fi/v1/public/cards"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.dash.fi/v1/public/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2025-01-01T00:00:00Z",
"id": "550e8400-e29b-41d4-a716-446655440000",
"lastFour": "1214",
"name": "adspend card meta",
"status": "active",
"type": "single-use"
}
],
"totalItemCountCapped": true,
"page": 10,
"pageSize": 1,
"totalItemCount": 50,
"totalPages": 5
}{
"code": "<string>",
"message": "<string>"
}{
"code": "unauthorized",
"message": "authorization header not provided"
}{
"code": "forbidden",
"message": "access to this resource is not provided"
}{
"code": "internal-server-error",
"message": "<string>"
}Get cards
Retrieves a paginated list of cards. Supports filtering by name and status.
If both pagination parameters are not provided, a default of page 1 with size 100 is used. Max page size is 100.
GET
/
cards
Get cards
Authorizations
Type "Bearer" followed by a space and your API token. Obtain your key from the Dash.fi dashboard. Example: "Bearer YOUR_API_KEY"
Query Parameters
Example:
"2025-01-01T00:00:00Z"
Example:
"2025-01-01T00:00:00Z"
Available options:
asc, desc Example:
"asc"
Current page.
Example:
10
Number of items per page.
Example:
1
Response
Paginated list of cards
Array of items on the current page.
Show child attributes
Show child attributes
True when counting stopped at a budget before reaching the end, so totalItemCount and totalPages are a lower bound rather than a total.
Current page.
Example:
10
Number of items per page.
Example:
1
Total number of items.
Required range:
x >= 0Example:
50
Total number of pages.
Required range:
x >= 1Example:
5